From c97eb8bf6b7589eebea85c6df159a43b74e3e287 Mon Sep 17 00:00:00 2001
From: Jorge Solorzano <jorsol@ongres.com>
Date: Tue, 5 Jun 2018 00:39:31 -0600
Subject: [PATCH] Improve style of list search results using Bootstrap Card

---
 templates/search/listsearch.html | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/templates/search/listsearch.html b/templates/search/listsearch.html
index 7c7ead8..df4dfad 100644
--- a/templates/search/listsearch.html
+++ b/templates/search/listsearch.html
@@ -53,11 +53,14 @@
     <h2>Results {{firsthit}}-{{lasthit}} of {%if hitcount == 1000%}more than 1000{%else%}{{hitcount}}{%endif%}.</h2>
     {%if pagelinks %}Result pages: {{pagelinks|safe}}<br/><br/>{%endif%}
     {%for hit in hits %}
-      {{forloop.counter0|add:firsthit}}. <a href="https://www.postgresql.org/message-id/{{hit.messageid}}">{{hit.subject}}</a> [{{hit.rank|floatformat:2}}]<br/>
-      From {{hit.author}} on {{hit.date}}.<br/>
-      {{hit.abstract|safe}}<br/>
-      <a href="https://www.postgresql.org/message-id/{{hit.messageid}}">https://www.postgresql.org/message-id/{{hit.messageid}}</a><br/>
-      <br/>
+    <div class="card">
+      <div class="card-body">
+        <h5 class="card-title" style="text-transform: none;">{{forloop.counter0|add:firsthit}}. <a href="https://www.postgresql.org/message-id/{{hit.messageid}}">{{hit.subject}}</a> [{{hit.rank|floatformat:2}}]</h5>
+        <h6 class="card-subtitle mb-2 text-muted" style="text-transform: none;">From {{hit.author|escape}} on {{hit.date}}</h6>
+        <p class="card-text">{{hit.abstract|escape}}</p>
+        <a href="https://www.postgresql.org/message-id/{{hit.messageid}}" class="card-link">https://www.postgresql.org/message-id/{{hit.messageid}}</a>
+      </div>
+    </div>
     {%endfor%}
     {%if pagelinks %}Result pages: {{pagelinks|safe}}<br/><br/>{%endif%}
   {%endif%}
-- 
2.17.0

